using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 考试查看情况
    /// 暂存时 添加记录
    /// 提交答题清空 记录
    /// </summary>
    [Description("考试查看情况")]
    public class T_SE_TRAIN_RECORD_VIEW : MesEntityBase
    {
        /// <summary>
        /// 人员ID
        /// </summary>
        [Description("人员ID")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 培训记录ID
        /// </summary>
        [Description("培训记录ID")]
        public Guid RECORD_ID { get; set; }

        /// <summary>
        /// 人员试卷 必填
        /// </summary>
        [Description("人员试卷")]
        public Guid TEXT_ID { get; set; }

        /// <summary>
        /// 课件
        /// </summary>
        [Description("课件")]

        public Guid EDU_CARD_ID { get; set; }

        /// <summary>
        /// 是否看完
        /// </summary>
        [Description("是否看完")]
        public bool ISEND { get; set; } = false;

        /// <summary>
        /// 看到几秒
        /// </summary>
        [Description("看到几秒")]
        public int? VIEWSEC { get; set; }
    }
}
